# Function permissions

- permissions(api, table, actions?): Promise<void>

- #### Parameters

  - api: HasuraApi
  - table: string | {
    name: string;
    schema: string;
    }
  - actions: {
    columns?: string | string[];
    computed_fields?: string[];
    delete: any;
    insert: any;
    role: string;
    select: any;
    update: any;
    } = ...

    - ##### `Optional` columns?: string | string[]

    - ##### `Optional` computed_fields?: string[]

    - ##### delete: any

    - ##### insert: any

    - ##### role: string

    - ##### select: any

    - ##### update: any

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/permission.ts:3